LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XChartData Interface Referencepublished

manages the data of the chart. More...

`import"XChartData.idl";`

Inheritance diagram for XChartData:

## Public Member Functions
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener. More...
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener. More...
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

manages the data of the chart.

See also
  XChartDocument

Developers Guide
  Charts - Data Access

## Member Function Documentation

## ◆ addChartDataChangeEventListener()

void addChartDataChangeEventListener | ( | [in] com::sun::star::chart::XChartDataChangeEventListener | aListener | ) |

allows a component supporting the XChartDataChangeEventListener interface to register as listener.

The component will be notified with a ChartDataChangeEvent every time the chart's data changes.

Parameters

  aListener | the component that is to be added as listener

See also
  XChartDataChangeEventListener
  ChartDataChangeEvent

## ◆ getNotANumber()

double getNotANumber | ( |  | ) |

Returns
  the value which is to be used as an indicator for a missing value in the data.

In IEEE arithmetic format it is one of the NaN values, so there are no conflicts with existing numeric values.

## ◆ isNotANumber()

boolean isNotANumber | ( | [in] double | nNumber | ) |

checks whether the value given is equal to the indicator value for a missing value.

In IEEE arithmetic format it is one of the NaN values, so there are no conflicts with existing numeric values.

Always use this method to check, if a value is not a number. If you compare the value returned by XChartData::getNotANumber() to another double value using the = operator, you may not get the desired result!

Returns
  `TRUE` if the number given is interpreted by the chart as a missing value.

Parameters

  nNumber | the number that you want to check for validity.

## ◆ removeChartDataChangeEventListener()

void removeChartDataChangeEventListener | ( | [in] com::sun::star::chart::XChartDataChangeEventListener | aListener | ) |

removes a previously registered listener.

Parameters

  aListener | the component that is to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XChartData.idl